Last Comment Bug 902457 - Remove 'Include Closed' from MyDashboard (show all requests regardless of a bug's status)
: Remove 'Include Closed' from MyDashboard (show all requests regardless of a b...
Status: RESOLVED FIXED
:
Product: bugzilla.mozilla.org
Classification: Other
Component: Extensions: MyDashboard (show other bugs)
: Production
: x86_64 Linux
: -- normal with 1 vote (vote)
: ---
Assigned To: Byron Jones ‹:glob› [PTO until 2016-10-10]
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-07 07:48 PDT by AWAY Tom Schuster [:evilpie]
Modified: 2013-09-17 00:20 PDT (History)
2 users (show)
See Also:
Due Date:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
902457_1.patch (4.03 KB, patch)
2013-09-12 00:32 PDT, Byron Jones ‹:glob› [PTO until 2016-10-10]
dkl: review+
Details | Diff | Splinter Review

Description AWAY Tom Schuster [:evilpie] 2013-08-07 07:48:40 PDT
You get reminders for reviews in closed bugs, "my request" also shows them. I think we should have the "Include Closed" checked by default.
Comment 1 Byron Jones ‹:glob› [PTO until 2016-10-10] 2013-09-12 00:32:09 PDT
Created attachment 803535 [details] [diff] [review]
902457_1.patch

remove the "include closed" functionality completely - closed bugs are shown with a strike-though, and all open requests should be dealt with, even on closed bugs.
Comment 2 David Lawrence [:dkl] 2013-09-12 07:04:18 PDT
Comment on attachment 803535 [details] [diff] [review]
902457_1.patch

Review of attachment 803535 [details] [diff] [review]:
-----------------------------------------------------------------

Sigh my requested list just got *really* long (even longer story why) but if you feel we really need this, r=dkl.
Comment 3 Byron Jones ‹:glob› [PTO until 2016-10-10] 2013-09-17 00:20:23 PDT
Committing to: bzr+ssh://bjones%40mozilla.com@bzr.mozilla.org/bmo/4.2/
modified extensions/MyDashboard/lib/Queries.pm
modified extensions/MyDashboard/lib/WebService.pm
modified extensions/MyDashboard/template/en/default/pages/mydashboard.html.tmpl
modified extensions/MyDashboard/web/js/flags.js
Committed revision 9010.

Note You need to log in before you can comment on or make changes to this bug.